Bug 762689 - (GLUSTER-957) Created files dont show in ls output on NFS mount
Created files dont show in ls output on NFS mount
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
nfs-alpha
All Linux
low Severity high
: ---
: ---
Assigned To: Shehjar Tikoo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-27 01:58 EDT by Shehjar Tikoo
Modified: 2015-12-01 11:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: RTNR
Mount Type: nfs
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Volfiles and logs (6.70 KB, application/octet-stream)
2010-05-26 23:01 EDT, Shehjar Tikoo
no flags Details

  None (edit)
Description Shehjar Tikoo 2010-05-26 23:01:26 EDT
Created attachment 216 [details]
This lvs.cf does not work, it has the persistent parameter set for both virtual servers.
Comment 1 Shehjar Tikoo 2010-05-27 01:58:44 EDT
files created in gluster do not show in directories right away
	- after initial mount, created 10 files in the root dir, no
errors reported
	- did ls -l on that dir, shows up empty
	- did ls -l in the underlying volumes - files are there
	- waited a bit, did ls -l on the root dir again - files showed
up
Comment 2 Csaba Henk 2010-07-16 14:10:57 EDT
Tested using above volfiles.[*] Described phenomena does not occur.

Note that node14_nfs.log includes an nfs server crash. A likely guess that it's the same NULL deref issue which has been filed under #815 and has been fixed in commit f6ac7f6f (main repo) / 8c8db6a7 (nfs beta repo). With my testing the crash did not occur -- and then it seems without the crash the bug does not occur.

[*] Nb, contrary to the original setup, I had just one NFS mount, but that does not seem likely to cause a difference.
Comment 3 Shehjar Tikoo 2010-07-20 11:19:04 EDT
I agree crash seen in the log was a result of bug 762547. Its been fixed and the fix pulled into nfs-beta branch.

Note You need to log in before you can comment on or make changes to this bug.